variable "remote_write_url" {
  description = "URL for remote write endpoint on local machine"
  type        = string
  default     = "https://metrics.binarysunset.dev/api/v1/write"
}

variable "remote_read_url" {
  description = "URL for remote read endpoint on local machine"
  type        = string
  default     = "https://metrics.binarysunset.dev/api/v1/read"
}

variable "remote_write_username" {
  description = "Username for remote write authentication"
  type        = string
  default     = "prometheus"
}

variable "remote_write_password" {
  description = "Password for remote write authentication"
  type        = string
  default     = "your-secure-password"
  sensitive   = true
}

variable "service_name" {
  type        = string
  description = "Name of the service"
  default     = "auth"
}

variable "server_dns" {
  type        = string
  description = "Domain for the server"
}

variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "enabled" {
  type    = bool
  default = true
}

variable "ingressClass" {
  type = string
  default = "nginx"
}
